Package org.python.core.io

# Class LineBufferedWriter

java.lang.Object
org.python.core.io.IOBase
org.python.core.io.BufferedIOBase
org.python.core.io.BufferedIOMixin
org.python.core.io.BufferedWriter
org.python.core.io.LineBufferedWriter

public class LineBufferedWriter extends BufferedWriter
Line buffering for a writable sequential RawIO object.

Author:
  Philip Jenvey

## Field Summary

### Fields inherited from class org.python.core.io.IOBase

`DEFAULT_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`LineBufferedWriter(RawIOBase rawIO)`
Construct a LineBufferedWriter wrapping the given RawIOBase.

## Method Summary

Modifier and Type
Method
Description
`int`
`write(ByteBuffer bytes)`
Write the given ByteBuffer to the IO stream.

### Methods inherited from class org.python.core.io.BufferedWriter

`buffered, flush, read1, readable, readall, readinto, seek, tell`

### Methods inherited from class org.python.core.io.BufferedIOMixin

`asInputStream, asOutputStream, close, closed, fileno, isatty, truncate, writable`

### Methods inherited from class org.python.core.io.BufferedIOBase

`clear, peek, read`

### Methods inherited from class org.python.core.io.IOBase

`checkClosed, checkReadable, checkWritable, seek`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineBufferedWriter

public LineBufferedWriter(RawIOBase rawIO)
Construct a LineBufferedWriter wrapping the given RawIOBase.

Parameters:
  `rawIO` -

## Method Details

### write

public int write(ByteBuffer bytes)
Description copied from class: `BufferedIOBase`
Write the given ByteBuffer to the IO stream. Returns the number of bytes written, which may be less than bytes.remaining().

Overrides:
  `write` in class `BufferedWriter`
Parameters:
  `bytes` - a ByteBuffer value
Returns:
  the number of bytes written as an int